package com.qmth.themis.mq.enums;

/**
 * @Description: mq topic enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/28
 */
public enum MqTopicEnum {

    /**
     * session topic
     */
    sessionTopic("themis-topic-session"),

    /**
     * userLog topic
     */
    userLogTopic("themis-topic-userLog"),

    /**
     * task topic
     */
    taskTopic("themis-topic-task"),

    /**
     * websocket topic
     */
    websocketTopic("themis-topic-websocket"),

    /**
     * quartz topic
     */
    quartzTopic("themis-topic-quartz"),
	
	/**
	 * 通用消息
	 */
	normal("themis-topic-normal");

    private MqTopicEnum(String code){
        this.code = code;
    }

    private String code;

    public String getCode() {
        return code;
    }
}
